{% from "macros/hce-date-input.njk" import hceDateInput %}
{% from "packages/components/radios/macro.njk" import radios %}

{% macro hceSummaryListWithRadioAndEditableDate(params) %}
{% set headingLevel = params.headingLevel if params.headingLevel else 2 %}

{# <div class="govuk-summary-card">
  <div class="govuk-summary-card__title-wrapper">
    <h{{headingLevel}} class="govuk-summary-card__title">{{ params.text.heading }}</h{{headingLevel}}>
  </div>

  <div class="govuk-summary-card__content"> #}
    <h{{headingLevel}}>{{ params.text.heading }}</h{{headingLevel}}>
    <dl class="nhsuk-summary-list nhsuk-u-margin-bottom-0">
    {% for row in params.rows %}
        <div class="nhsuk-summary-list__row hce-summary-list-editable">
            <dt class="nhsuk-summary-list__key">
                {{ row.key.text }}
            </dt>
            <dd class="nhsuk-summary-list__value">
                {% if row.value.dateInput %}
                    {{ hceDateInput({
                        fieldIdPrefix: row.value.fieldIdPrefix,
                        fieldNamePrefix: row.value.fieldNamePrefix,
                        claim: row.value.claim,
                        errors: row.value.inputErrors,
                        legend: {
                            text: row.value.legendText,
                            isPageHeading: false,
                            classes: "nhsuk-u-visually-hidden"
                        },
                        hint: {
                        text: ""
                        }
                    }) }}
                {% elif row.value.radioInput %}
                    {{ radios({
                        id: row.value.fieldIdPrefix,
                        idPrefix: row.value.fieldIdPrefix,
                        classes: "nhsuk-radios--inline",
                        name: row.value.fieldNamePrefix,
                        errorMessage: errors | getErrorForField('certificateFulfillment'),
                        items: [{
                            value: "EMAIL",
                            checked : row.value.certificateFulfillment === "EMAIL",
                            text: row.value.certificateFulfillmentEmailText
                       },
                       {
                            value: "POSTAL",
                            checked : row.value.certificateFulfillment === "POSTAL",
                            text: row.value.certificateFulfillmentPostText
                       }]
                    }) }} 

                {% else %}
                    {{row.value.text | safe}}        
                {% endif %}
            </dd>
        </div>
    {% endfor %}
    </dl>

  {# </div>
</div> #}

{% endmacro %}